package functionalDependency.general;

/**
 * Diese Klasse stellt Fehlercodes fuer das Arbeiten mit FDs
 * (vor allem beim Parsen) zur Verfuegung. Sie ist von der
 * Hauptfehlerklasse {@link MainException} abgeleitet.
 * <p>Im Rahmen der Aufgabenstellung muss in dieser Klasse nichts geaendert werden.</p>
 */
public class FunctionalDependencyException extends MainException {

	static final long serialVersionUID = 4L;

	public static final int EMPTY_LEFT_SIDE = 1;
	public static final int EMPTY_RIGHT_SIDE = 2;

	public FunctionalDependencyException() {
		super();
	}

	public FunctionalDependencyException(String arg0) {
		super(arg0);
	}

	public FunctionalDependencyException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public FunctionalDependencyException(Throwable arg0) {
		super(arg0);
	}

	public FunctionalDependencyException(String arg0,int code) {
		super(arg0,code);
	}	
}
