package functionalDependency.general;

/**
 * Diese Klasse stellt Fehlercodes fuer das Arbeiten mit relationalen
 * Datenbankschemata (vor allem beim Parsen) zur Verfuegung. Sie ist von der
 * Hauptfehlerklasse {@link MainException} abgeleitet.
 * <p>Im Rahmen der Aufgabenstellung muss in dieser Klasse nichts geaendert werden.</p>
 */
public class RelationalDatabaseSchemaException extends MainException {

	static final long serialVersionUID = 6L;

	public static final int UNKOWN_ATTR = 1;
	public static final int DOUBLE_FD = 2;
	
	public RelationalDatabaseSchemaException() {
		super();
	}

	public RelationalDatabaseSchemaException(String arg0) {
		super(arg0);
	}

	public RelationalDatabaseSchemaException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public RelationalDatabaseSchemaException(Throwable arg0) {
		super(arg0);
	}

	public RelationalDatabaseSchemaException(String arg0,int code) {
		super(arg0,code);
	}
	
}
