package functionalDependency.general;

import java.util.TreeSet;

/**
 * Die Klasse <code>SetOfRelationSchemata</code> repraesentiert eine Menge von 
 * Relationsschemata. Sie ist von der abstrakten Klasse {@link SetOf} abgeleitet.
 * <p>Implementiert sind neben dem Konstruktor die Methode</p>
 * <ul>
 * <li> {@link #clone()}: Erstellen einer Kopie der Menge von Relationsschemata
 * </ul>
 * <p>Im Rahmen der Aufgabenstellung muss in dieser Klasse nichts geaendert werden.</p>
 */
public class SetOfRelationSchemata extends SetOf<RelationSchema> {

	public SetOfRelationSchemata() {
		super("\n");
	}

	public SetOfRelationSchemata clone(){
		SetOfRelationSchemata rc = new SetOfRelationSchemata();
		rc.setVar = (TreeSet<RelationSchema>)this.setVar.clone();
		return rc;
	}
}
