package functionalDependency.general;

/**
 * Diese Klasse stellt Fehlercodes fuer das Arbeiten mit Attributen
 * (vor allem beim Parsen) zur Verfuegung. Sie ist von der
 * Hauptfehlerklasse {@link MainException} abgeleitet.
 * <p>Im Rahmen der Aufgabenstellung muss in dieser Klasse nichts geaendert werden.</p>
 */
public class AttributeSetException extends MainException {

	static final long serialVersionUID = 3L;
	
	public static final int INVALID_CHARACTER = 1;
	public static final int EMPTY_STR = 2;

	public AttributeSetException() {
		super();
	}

	public AttributeSetException(String arg0) {
		super(arg0);
	}

	public AttributeSetException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public AttributeSetException(Throwable arg0) {
		super(arg0);
	}

	public AttributeSetException(String arg0,int code) {
		super(arg0,code);
	}
}
