package functionalDependency.general;

/**
 * Diese Klasse stellt Fehlercodes fuer das Arbeiten mit Relationsschemata
 * (vor allem beim Parsen) zur Verfuegung. Sie ist von der
 * Hauptfehlerklasse {@link MainException} abgeleitet.
 * <p>Im Rahmen der Aufgabenstellung muss in dieser Klasse nichts geaendert werden.</p>
 */
public class RelationSchemaException extends MainException {

	static final long serialVersionUID = 5L;

	public static final int UNKOWN_ATTR = 1;
	public static final int ATTRS_NO_SKEY = 2;
	public static final int WRONG_NF = 3;
	
	public RelationSchemaException() {
		super();
	}

	public RelationSchemaException(String arg0) {
		super(arg0);
	}

	public RelationSchemaException(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public RelationSchemaException(Throwable arg0) {
		super(arg0);
	}

	public RelationSchemaException(String arg0,int code) {
		super(arg0,code);
	}
	
}
